Bug 165489 - Review Request: airsnort - Wireless LAN (WLAN) tool which recovers encryption keys
Review Request: airsnort - Wireless LAN (WLAN) tool which recovers encryption...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-08-09 15:14 EDT by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-11 12:38:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2005-08-09 15:14:52 EDT
Spec Name or Url: http://fedora.lowlatency.de/review/airsnort.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/airsnort-0.2.7e-3.src.rpm
AirSnort is a wireless LAN (WLAN) tool which recovers encryption keys. 
AirSnort operates by passively monitoring transmissions, computing the
encryption key when enough packets have been gathered.

802.11b, using the Wired Equivalent Protocol (WEP), is crippled with numerous
security flaws. Most damning of these is the weakness described in " Weaknesses
in the Key Scheduling Algorithm of RC4 " by Scott Fluhrer, Itsik Mantin and Adi
Shamir. Adam Stubblefield was the first to implement this attack, but he has
not made his software public. AirSnort, along with WEPCrack, which was released
about the same time as AirSnort, are the first publicly available
implementaions of this attack.

AirSnort requires approximately 5-10 million encrypted packets to be gathered.
Once enough packets have been gathered, AirSnort can guess the encryption
password in under a second.
Comment 1 Orion Poplawski 2005-08-09 16:16:01 EDT
Still don't seem to be able to assign bugs to myself, not sure why.  Greg - can
you fix this?


Mostly looks quite good except for:

# rpmlint airsnort
W: airsnort no-version-in-last-changelog

changelog should be like:

* Thu Jun 02 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.2.7e-3


BuildRequires: desktop-file-utils
BuildRequires: /usr/bin/desktop-file-install

to build in mock.
Comment 2 Orion Poplawski 2005-08-09 16:18:11 EDT
Also, no icon has appeared in my KDE menu.  desktop file shows:

# cat /usr/share/applications/fedora-airsnort.desktop
[Desktop Entry]
Comment=Wireless LAN (WLAN) tool which recovers encryption keys

Any ideas anyone?
Comment 3 Rex Dieter 2005-08-09 16:22:29 EDT
If you want/need an icon you need to specify one in the .desktop file:
Comment 4 Orion Poplawski 2005-08-09 16:26:50 EDT
Oops, I said Icon when I ment entry.  I just don't see it in any of my menus.
Comment 5 Rex Dieter 2005-08-09 16:31:32 EDT
You need a relevant entry in Categories.  For example, if the keyword "Network"
appears, it then goes in the Internet menu.  Where do you think it should go?
Comment 6 Orion Poplawski 2005-08-09 16:37:11 EDT
I would say "Internet" or possibly "System Tools".
Comment 7 Rex Dieter 2005-08-09 16:41:39 EDT
Then, add
--add-category "Network"
to the desktop-file-install command in the specfile and you should be good.
Comment 8 Andreas Bierfert 2005-08-09 19:36:28 EDT
Ok here you go: Fixed BR and .desktop file and added missing changelog version ...

Comment 9 Orion Poplawski 2005-08-10 19:16:26 EDT
I'm still not seeing a menu item, but this may just be a local thing.

Still see:

W: airsnort no-version-in-last-changelog

Formatting is messed up from wrapping.  End of line should be like:

<email> - 0.2.7e-4

All on one line, with a "-" separator.

Easily fixed, so Approved.
Comment 10 Andreas Bierfert 2005-08-10 20:02:07 EDT
Thanks... I will commit it asap...

As to the changelog: This has been talked about before and agreed to be ok in
this case because my name, mail combination is quiet long :)
Comment 11 Christian Iseli 2006-10-18 05:06:04 EDT
Normalize summary field for easy parsing

Note You need to log in before you can comment on or make changes to this bug.